using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_WenZhangCaiJi_LanMu : System.Web.UI.Page
{
    private 访问 访问;
    protected new int ID;
    protected String SQL = "SELECT [ID],[栏目名称],[开始列表地址],[创建时间] FROM ["+程序.数据表前缀+"内容_文章采集_栏目]";
    protected String 数量SQL = "SELECT COUNT(ID) FROM [" + 程序.数据表前缀 + "内容_文章采集_栏目]";
    protected String 排序 = " [ID] DESC";
    protected String 网站名称;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("文章采集栏目", "网站后台", "文章采集栏目", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("45");

        ID = Convert.ToInt32(Request.QueryString["ID"]);

        获取名称(ID);

        生成条件();
        生成排序();

        if (!this.IsPostBack)
            生成数据();
    }

    private void 获取名称(int ID)
    {
        SqlCommand 语句 = new SqlCommand("SELECT [网站名称] FROM ["+程序.数据表前缀+"内容_文章采集_网站] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
            网站名称 = Convert.ToString(读取["网站名称"]);
        else
        {
            读取.Close();
            throw new Exception("文章采集网站不存在");
        }
        读取.Close();
    }

    private void 生成条件()
    {
        SQL += " WHERE [所属网站]=" + ID;
        数量SQL += " WHERE [所属网站]=" + ID;
    }

    private void 生成排序()
    {
        String 字段 = Request.QueryString["zd"];
        if (字段 == null || 字段 == "")
            return;
        bool 方向 = Convert.ToBoolean(Request.QueryString["fx"]);
        排序 = " [" + 字段 + "]" + (方向 ? " DESC" : "");
        if (!this.IsPostBack)
        {
            PaiXuZiDuan.Value = 字段;
            PaiXuFangXiang.Value = 方向.ToString();
        }
    }

    private void 生成数据()
    {
        SqlCommand 语句 = new SqlCommand(数量SQL, 访问.连接);

        后台分页 分页 = new 后台分页(Convert.ToInt32(语句.ExecuteScalar()),
            Convert.ToInt32(Request.QueryString["page"]),
            10,
            "WenZhangCaiJi_LanMu.aspx?ID=" + ID + "&zd=" + Server.UrlEncode(PaiXuZiDuan.Value) + "&fx=" + PaiXuFangXiang.Value);

        DataSet 数据 = new DataSet();
        语句 = new SqlCommand(SQL + " ORDER BY " + 排序, 访问.连接);

        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, (分页.当前页 - 1) * 10, 10, "文章采集栏目");

        GridView1.DataSource = 数据;
        GridView1.DataBind();

        FenYeDaiMa.Text = 分页.生成代码();

        if (数据.Tables[0].Rows.Count > 0)
            CaoZuoDaiMa.Text = "操作：<a href=\"#\" onclick=\"if(HuoQuZhi('d')!=''){" +
                "if(confirm('真的要删除吗？')){location.href='WenZhangCaiJi_LanMu_ShanChu.aspx?ID='+HuoQuZhi('d')+'&rurl=" + Server.UrlEncode(Request.Url.ToString()) + "'}" +
                ";}return false;\">删除</a>";
    }

    protected void GridView1_Sorting(object sender, GridViewSortEventArgs e)
    {

        排序 = "[" + e.SortExpression + "]";

        if (PaiXuZiDuan.Value == e.SortExpression && (!Convert.ToBoolean(PaiXuFangXiang.Value)))
        {
            排序 += " DESC";
            PaiXuFangXiang.Value = "true";
        }
        else
        {
            排序 += "";
            PaiXuFangXiang.Value = "false";
        }

        PaiXuZiDuan.Value = e.SortExpression;

        访问.连接.Open();

        访问.排错调用(new 访问.回调委托(生成数据));

        访问.关闭连接();
    }
}
